de.caff.util.settings.swing

## Class EnumCheckedProxyProperty<E>

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.EnumCheckedProxyProperty<E>

- All Implemented Interfaces:
    ChangeableItem, EditableProperty, java.io.Serializable

      public class EnumCheckedProxyProperty<E>
      extends AbstractBasicSimpleEditableChangeableItem

  Enum toggled property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumCheckedProxyProperty(java.lang.String basicName, java.lang.String baseTag, javax.swing.ButtonGroup buttonGroup, SwingEnumProperty<E> enumProperty, EnumValue<E> onValue, EditableProperty switchedProperty)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor provider which provides editor components for editing this preference property.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName, removeValueChangeListener, removeValueChangeListenerWeakly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

    - ### Methods inherited from interface de.caff.util.settings.ChangeableItem

      `addValueChangeListener, addValueChangeListenerWeakly, removeValueChangeListener, removeValueChangeListenerWeakly`

- - ### Constructor Detail

    - #### EnumCheckedProxyProperty

          public EnumCheckedProxyProperty(@NotNull
                                          java.lang.String basicName,
                                          @NotNull
                                          java.lang.String baseTag,
                                          @NotNull
                                          javax.swing.ButtonGroup buttonGroup,
                                          @NotNull
                                          SwingEnumProperty<E> enumProperty,
                                          @NotNull
                                          EnumValue<E> onValue,
                                          @NotNull
                                          EditableProperty switchedProperty)

      Constructor.
      Parameters:
        `basicName` - basic name
        `baseTag` - basic property tag
        `buttonGroup` - button group for property
        `enumProperty` - enum property
        `onValue` - enum value for which the switched property is enabled
        `switchedProperty` - switched property

  - ### Method Detail

    - #### getEditorProvider

          @NotNull
          public EditorProvider getEditorProvider(@Nullable
                                                           java.util.Locale l)

      Get the editor provider which provides editor components for editing this preference property.
      Parameters:
        `l` - locale used for i18n, `null` for default
      Returns:
        editor provider